matrix:
  platform:
    - debian11
    - ubuntu2204
    - macos
    - macos_arm64
  bazel:
    - 8.x
    - 7.x

tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - "@rules_browsers//browsers/..."
      - "@rules_browsers//server_test/..."
      - "@rules_browsers//protractor_test/..."

bcr_test_module:
  module_path: test

  matrix:
    # Excluding Mac because setting up browser dependencies there is not
    # very straightforward.
    platform:
      - debian11
      - ubuntu2204
    bazel:
      - 8.x
      - 7.x

  tasks:
    run_test_module_linux:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      shell_commands:
        - sudo apt update
        - sudo apt install -y ca-certificates fonts-liberation libasound2 libatk-bridge2.0-0 libatk1.0-0 libc6 libcairo2 libcups2 libdbus-1-3 libexpat1 libfontconfig1 libgbm1 libgcc1 libglib2.0-0 libgtk-3-0 libnspr4 libnss3 libpango-1.0-0 libpangocairo-1.0-0 libstdc++6 libx11-6 libx11-xcb1 libxcb1 libxcomposite1 libxcursor1 libxdamage1 libxext6 libxfixes3 libxi6 libxrandr2 libxrender1 libxss1 libxtst6 lsb-release wget xdg-utils
      build_targets:
        - //...
      test_targets:
        - //...
